Enterprise Analytics REST API

  • reference

Enterprise Analytics provides REST APIs that a client application can use to invoke services using simple HTTP methods. A catalog of available REST resources and requests is provided below.

The Enterprise Analytics REST APIs can be called on any node running Couchbase Enterprise Analytics. By default, the Enterprise Analytics REST endpoints below listen on port 8095, or 18095 for secure access. The Settings API listens on port 8091, or 18091 for secure access.

APIs in this Section

For a list of the methods and URIs covered in these pages, see the tables below.

Enterprise Analytics Service API

HTTP Method URI Documented at

POST

/api/v1/request

Request Service

GET

/api/v1/request

Read-Only Request Service

GET

/api/v1/request/status/{request_id}/{job_id}

Request Status

GET

/api/v1/request/result/{request_id}/{job_id}

Retrieve Request Result

DELETE

/api/v1/request/result/{request_id}/{job_id}

Discard Request Result

Enterprise Analytics Admin API

HTTP Method URI Documented at

GET

/api/v1/active_requests

Active Requests

DELETE

/api/v1/active_requests

Request Cancellation

GET

/api/v1/completed_requests

Completed Requests

GET

/api/v1/open_requests

Open Requests

GET

/api/v1/status/service

Service Status

POST

/api/v1/service/restart

Service Restart

POST

/api/v1/node/restart

Node Restart

GET

/api/v1/status/ingestion

Ingestion Status

GET

/api/v1/health

Health Check

Enterprise Analytics Config API

HTTP Method URI Documented at

GET

/api/v1/config/service

View Service-Level Parameters

PUT

/api/v1/config/service

Modify Service-Level Parameters

GET

/api/v1/config/node

View Node-Specific Parameters

PUT

/api/v1/config/node

Modify Node-Specific Parameters

Enterprise Analytics Settings API

HTTP Method URI Documented at

GET

/settings/analytics

View Enterprise Analytics Settings

POST

/settings/analytics

Modify Enterprise Analytics Settings

HTTP Method URI Documented at

POST

/api/v1/link/{name}

Create Link

GET

/api/v1/link/{name}

Query Link

PUT

/api/v1/link/{name}

Edit Link

DELETE

/api/v1/link/{name}

Delete Link

GET

/api/v1/link

Query All Links